# get\_locked\_list

Generates a list of the [MaciDataObj's](/docs/maci/object.md) currently locked attribute names, and returns a list. This method currently has no parameters.

Useful if it is desired to view or reference all currently locked attribute names.

{% hint style="info" %}
data.get\_locked\_list()  ->  list\[str]
{% endhint %}

\
*Basic Example of getting a list of the currently locked attribute names of the* [*MaciDataObj*](/docs/maci/object.md)

```python
list_data = data.get_locked_list()
```

In this example, we simply use the get\_locked\_list method on the [MaciDataObj](/docs/maci/object.md) to get a generated copy of the currently locked attribute names, currently held inside the maci object, as a list of strings, and assign the returned list data to a variable.

### partner methods

Methods that provide related utility to this method

[lock\_attr](/docs/maci/object/methods/lock_attr.md)  ->  Lock an attribute name\
[unlock\_attr](/docs/maci/object/methods/unlock_attr.md)  ->  Unlock an attribute name<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.macilib.org/docs/maci/object/methods/get_locked_list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
